/*
 * global.h
 *
 *  Created on: 07.04.2015
 *      Author: pflaum
 */

#ifndef GLOBAL_H_
#define GLOBAL_H_

#include <avr/io.h>
#include <util/delay.h>
#include "portmakros.h"
#include "rfm69.h"

// LED
#define LED_DDR			DDRD
#define LED_PORT		PORTD
#define LED_TX			5
#define LED_RX			6

#define LED_TX_ON		LED_PORT |= (1<<LED_TX)
#define LED_TX_OFF		LED_PORT &= ~(1<<LED_TX)

#define LED_RX_ON		LED_PORT |= (1<<LED_RX)
#define LED_RX_OFF		LED_PORT &= ~(1<<LED_RX)

#define LED_TX_TOG		PORTD ^= (1 << LED_TX)
#define LED_RX_TOG		PORTD ^= (1 << LED_RX)

#endif /* GLOBAL_H_ */
