#define F_CPU 16000000UL

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <stdlib.h>
#include <string.h>
#include <util/delay.h>
#include <stdint.h>
#include <stdio.h>
#include "uart.h"
#include "global.h"

uint16_t counter=0;
int main(void)
{
	LED_DDR |= (1<<LED_TX) | (1<<LED_RX);

	char array[MAX_ARRAYSIZE + 1];
	uint8_t rx_length, tx_length;
	rfm_init();
	uart_init();
	sei();

	while (1)
	{		
		counter++;
		if (rfm_receiving()) 
		{
			rfm_receive(array, &rx_length);
			tx_length = rx_length;
			//rfm_transmit(array, tx_length);
			//rfm_rxon();
		}
		if(counter >= 10000)
		{
			char buffer[6];
			utoa(rfm_status(), buffer, 10);

						uart_send_text("Status: ");
						uart_send_text(buffer);
						uart_send_text("\r\n");
						
			
						uart_send_text("Lnge: ");
						uart_send_byte(rx_length);
						uart_send_text("\r\n");
LED_TX_TOG;
			counter=0;
		}
		//uart_send_text("Hallo\r\n");
		//LED_TX_ON;
		//_delay_ms(100);
		//LED_TX_OFF;
		//_delay_ms(1000);		
	}
}
